Description

| wondered if there is a variable for socioeconomic status (e.g., parents' annual income) that | could match with the adolescent data
I'm using from UKHLS (files i_youth and cf_youth_p). | have looked in the xwavedat file but nothing seems appropriate. If there is
one, how would | match it to the adolescent individuals in the files | am using?

Thank you

History

#1 - 12/07/2022 09:50 AM - Understanding Society User Support Team
- Status changed from New to In Progress
- % Done changed from 0 to 10

- Private changed from Yes to No

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.

We aim to respond to simple queries within 48 hours and more complex issues within 7 working days. While we will aim to keep to this response
times due to the current coronavirus (COVID-19) related situation it may take us longer to respond.

Best wishes,
Understanding Society User Support Team

#2 - 12/07/2022 10:15 AM - Understanding Society User Support Team

- Private changed from No to Yes

#3 - 12/08/2022 09:49 PM - Understanding Society User Support Team

- File Socioeconomic status.do added

Hello Sadia,

A sketch of the matching is as follows:

For i_youth file, you have different identifiers for parents (i_fnpid: natural father pidp, i_mnpid: natural mother pidp, i_pn1pid: natural parent 1 pidp,
i_pn2pid: natural parent 2 pidp, i_pns1pid: nat/step/adopt parent 1 pidp, i_pns2pid: nat/step/adopt parent 2 pidp, i_fnspid: nat/step/adopt father pidp,
i_mnspid: nat/step/adopt mother pidp) then you will need to choose one of these variables to match any information from them (not only income
variables but also all the information the study has about them, e.g education, employment, etc.). Once you choose which parent variable you want to
use (let's say i_fnpid: natural father) you will need to rename it to pidp which is the cross-wave person identifier to match with other files. But first, you
will need to rename pidp (cross-wave youth identifier in this case) to, let’s say pidp_y and then i_fnpid to pidp. Then you can merge this file (by pidp)
with i_indresp to obtain income variables.

For cf_youth_p you will need first to merge it with _indall ( = a,b,c,d,e,f,g,h,i,j,k,l) files to get the parents identifiers (*_fnpid *_mnpid *_pn1pid
*_pn2pid *_pnsipid *_pns2pid *_fnspid *_mnspid) Then repeat the process as in i_youth file.

Attached you will find a Stata syntax code example.

If you need more information about the previous variables you can use the variable search at:
https://www.understandingsociety.ac.uk/documentation/mainstage/dataset-documentation

To have more information about income variables please see the derived income variables user guide:
https://www.understandingsociety.ac.uk/documentation/mainstage/user-guides/main-survey-user-guide/derived-income-variables

Hope this helps.

Best wishes,
Understanding Society User Support Team
#4 - 12/08/2022 09:50 PM - Understanding Society User Support Team
- Status changed from In Progress to Feedback

- % Done changed from 10 to 50

#5 - 12/21/2022 05:51 PM - Understanding Society User Support Team
- % Done changed from 50 to 90

- Private changed from Yes to No

#6 - 01/13/2023 09:40 PM - Sadia Riya

Thank you for the response. Is there a SPSS syntax code example you could provide rather than Stata?

#7 - 10/24/2023 09:40 AM - Understanding Society User Support Team

Sorry for the late reply Sadiya - currently we only provide syntax code for derived variables in Stata.

#8 - 11/30/2023 12:33 PM - Understanding Society User Support Team
- Category set to Derived variables

- % Done changed from 90 to 100

#9 - 11/30/2023 12:42 PM - Understanding Society User Support Team

- Status changed from Feedback to Resolved

Files

Socioeconomic status.do 1.47 KB 12/08/2022 Understanding Society User Support Team
